# Class MaintenanceFrequency

Object
CodeList<MaintenanceFrequency>
MaintenanceFrequency

All Implemented Interfaces:
  `Serializable, Comparable<MaintenanceFrequency>`

@UML(identifier="MD_MaintenanceFrequencyCode", specification=ISO_19115) public final class MaintenanceFrequency extends CodeList<MaintenanceFrequency>
Frequency with which modifications and deletions are made to the data after it is first produced.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MaintenanceFrequency`
  `ANNUALLY`
  Data is updated every year.
  `static final MaintenanceFrequency`
  `AS_NEEDED`
  Data is updated as deemed necessary.
  `static final MaintenanceFrequency`
  `BIANNUALLY`
  Data is updated twice each year.
  `static final MaintenanceFrequency`
  `CONTINUAL`
  Data is repeatedly and frequently updated.
  `static final MaintenanceFrequency`
  `DAILY`
  Data is updated each day.
  `static final MaintenanceFrequency`
  `FORTNIGHTLY`
  Data is updated every two weeks.
  `static final MaintenanceFrequency`
  `IRREGULAR`
  Data is updated in intervals that are uneven in duration.
  `static final MaintenanceFrequency`
  `MONTHLY`
  Data is updated each month.
  `static final MaintenanceFrequency`
  `NOT_PLANNED`
  There are no plans to update the data.
  `static final MaintenanceFrequency`
  `QUARTERLY`
  Data is updated every three months.
  `static final MaintenanceFrequency`
  `UNKNOW`
  Deprecated.
  Renamed `UNKNOWN`.
  `static final MaintenanceFrequency`
  `UNKNOWN`
  Frequency of maintenance for the data is not known
  `static final MaintenanceFrequency`
  `WEEKLY`
  Data is updated on a weekly basis.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MaintenanceFrequency[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static MaintenanceFrequency`
  `valueOf(String code)`
  Returns the maintenance frequency that matches the given string, or returns a new one if none match it.
  `static MaintenanceFrequency[]`
  `values()`
  Returns the list of `MaintenanceFrequency`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CONTINUAL

    @UML(identifier="continual", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency CONTINUAL
    Data is repeatedly and frequently updated.

  - ### DAILY

    @UML(identifier="daily", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency DAILY
    Data is updated each day.

  - ### WEEKLY

    @UML(identifier="weekly", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency WEEKLY
    Data is updated on a weekly basis.

  - ### FORTNIGHTLY

    @UML(identifier="fortnightly", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency FORTNIGHTLY
    Data is updated every two weeks.

  - ### MONTHLY

    @UML(identifier="monthly", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency MONTHLY
    Data is updated each month.

  - ### QUARTERLY

    @UML(identifier="quarterly", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency QUARTERLY
    Data is updated every three months.

  - ### BIANNUALLY

    @UML(identifier="biannually", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency BIANNUALLY
    Data is updated twice each year.

  - ### ANNUALLY

    @UML(identifier="annually", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency ANNUALLY
    Data is updated every year.

  - ### AS_NEEDED

    @UML(identifier="asNeeded", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency AS_NEEDED
    Data is updated as deemed necessary.

  - ### IRREGULAR

    @UML(identifier="irregular", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency IRREGULAR
    Data is updated in intervals that are uneven in duration.

  - ### NOT_PLANNED

    @UML(identifier="notPlanned", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency NOT_PLANNED
    There are no plans to update the data.

  - ### UNKNOWN

    @UML(identifier="unknown", obligation=CONDITIONAL, specification=ISO_19115) public static final MaintenanceFrequency UNKNOWN
    Frequency of maintenance for the data is not known

  - ### UNKNOW

    @Deprecated public static final MaintenanceFrequency UNKNOW
    Deprecated.
    Renamed `UNKNOWN`.

- ## Method Details

  - ### values

    public static MaintenanceFrequency[] values()
    Returns the list of `MaintenanceFrequency`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public MaintenanceFrequency[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<MaintenanceFrequency>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static MaintenanceFrequency valueOf(String code)
    Returns the maintenance frequency that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.